|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Functions | Variables
clc1.c File Reference
MPLABX MCC Melody Code Generator » CLC Driver

This is the generated driver source file for CLC1 driver. More...

`#include <stddef.h>`
`#include "../clc1.h"`
Include dependency graph for clc1.c:

Go to the source code of this file.

## Functions
void | CLC1_Initialize (void)
| Initializes the CLC1 module.
void | CLC1_Deinitialize (void)
| Deinitializes the CLC1 to POR values.
void | CLC1_PositiveEdgeCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CLC1 PositiveEdge event.
void | __attribute__ ((weak))
void | CLC1_NegativeEdgeCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for CLC1 NegativeEdge event.
void | CLC1_Tasks (void)
| Implements the tasks for polled implementations where the hardware supports dedicated event for Positive edge, Negative edge or both. Note: If both Positive Edge and Negative Edge uses polling mode then Callback function of positive edge takes the priority if both event occurred.
bool | CLC1_OutputStatusGet (void)
| Returns output pin status of the CLC1 module.

## Variables
static void(* | CLC1_PositiveEdgeHandler )(void) = NULL
static void(* | CLC1_NegativeEdgeHandler )(void) = NULL
const struct CLC_INTERFACE | CLC1
| Structure object of type CLC_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. CLC1 can be changed by the user in the CLC user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

CLC1 Generated Driver Source File

Definition in file clc1.c.

## Function Documentation

## ◆ __attribute__()

void __attribute__ | ( | (weak) |  | ) |

Definition at line 104 of file clc1.c.

## Variable Documentation

## ◆ CLC1_NegativeEdgeHandler

void(* CLC1_NegativeEdgeHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 45 of file clc1.c.

## ◆ CLC1_PositiveEdgeHandler

void(* CLC1_PositiveEdgeHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 44 of file clc1.c.